System.register(["src/external/dexie3.js"], function (_export, _context) {
  "use strict";

  var Dexie, Bootlog, __SystemJSRewritingHack;
  _export("default", void 0);
  return {
    setters: [function (_srcExternalDexie3Js) {
      Dexie = _srcExternalDexie3Js.default;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._src_client_bootlog_js = _recorder_._src_client_bootlog_js || {};
      /*
       * Bootlog DB
       *
       */
      Object.defineProperty(_recorder_._src_client_bootlog_js, "Dexie", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          return Dexie;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          Dexie = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("default", Bootlog = class Bootlog {
        static current() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          if (!this._current) {
            globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
            this._current = new Bootlog("bootlog");
          }
          return this._current;
        }
        clear() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          this.db.files.clear();
        }
        constructor(name) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          this.name = name;
          this.db = this.bootlogDB();
        }
        bootlogDB() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          var db = new Dexie(this.name);
          db.version("1").stores({
            logs: '++id,url, date, mode'
          }).upgrade(function () {
            globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          });
          return db;
        }
        async addLogs(logArray) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          this.db.transaction("rw", this.db.logs, () => {
            globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
            for (var ea of logArray) {
              globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
              this.db.logs.put(ea);
            }
          });
        }
      });
      Object.defineProperty(_recorder_._src_client_bootlog_js, "Bootlog", {
        get() {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          return Bootlog;
        },
        set(thisIsVererySecretVariableName) {
          globalThis.systemActivity["https://lively-kernel.org/lively4/lively4-ansgar/src/client/bootlog.js"]++;
          _export("default", Bootlog = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});